Bug 1271518 - [Old SetupNetworks API] cannot attach network to BOND
[Old SetupNetworks API] cannot attach network to BOND
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
unspecified Severity urgent (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Martin Mucha
Ori Ben Sasson
network
: Automation, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 04:16 EDT by Meni Yakove
Modified: 2016-02-10 14:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:17:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
ylavi: Triaged+
ylavi: planning_ack+
rule-engine: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)
engine, vdsm and supervdsm logs (887.96 KB, application/zip)
2015-10-14 04:16 EDT, Meni Yakove
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47674 master MERGED core: cannot add network to bond using rest and old setupneworks Never
oVirt gerrit 47724 master MERGED core: cannot add network to bond using rest and old setupneworks Never
oVirt gerrit 47727 ovirt-engine-3.6 MERGED core: cannot add network to bond using rest and old setupneworks Never

  None (edit)
Description Meni Yakove 2015-10-14 04:16:26 EDT
Created attachment 1082726 [details]
engine, vdsm and supervdsm logs

Description of problem:
Using old SetupNetwork API when attaching network the BOND the operation fail with error "Interface name can't be found"

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.18.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create VLAN network on DC/Cluster
2. Attach the VLAN network the host NIC using old SetupNetworks API

Additional info:
In vdsm log:
call setupNetworks with ({u'net1': {u'nic': u'bond0'
, u'STP': u'no', u'bridged': u'true', u'mtu': u'1500'}}, {u'bond0': {u'remove': u'true'}}, {u'connectivityCheck': u'true', u'connectivityTimeout': 60}) {}

seems like engine send {u'bond0': {u'remove': u'true'}} to the BOND that the network should attach to.
Comment 1 Meni Yakove 2015-10-14 04:20:00 EDT
Steps to Reproduce:
1. Create network on DC/Cluster
2. Attach the network the host NIC using old SetupNetworks API

Removed the VLAN network from Steps to Reproduce.
Comment 2 Meni Yakove 2015-10-14 04:21:43 EDT
vdsm-4.17.8-1.el7ev.noarch
Comment 3 Dan Kenigsberg 2015-10-21 06:15:41 EDT
Smells like bug 1271524.
Comment 4 Red Hat Bugzilla Rules Engine 2015-10-21 06:16:47 EDT
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 5 Yaniv Lavi 2015-10-29 08:42:22 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 6 Ori Ben Sasson 2015-12-06 08:45:28 EST
Verified  on 3.6.1.1-0.1.el6
Comment 7 Sandro Bonazzola 2015-12-16 07:17:00 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.